#docker-compose.yml

version: "3"

services:
  watchtower:
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    image: containrrr/watchtower
    container_name: watchtower
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
        #    command: --interval 30
    restart: unless-stopped
    environment:
      - TZ=Europe/Berlin
      - WATCHTOWER_CLEANUP=true 
      - WATCHTOWER_LABEL_ENABLE=true 
      - WATCHTOWER_DEBUG=true
        #      - WATCHTOWER_RUN_ONCE=true
      - WATCHTOWER_INCLUDE_RESTARTING=true
    labels:    
      - com.centurylinklabs.watchtower.enable=true
